> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Elenca account

> Elenca gli account cliente visibili al principal dell'API pubblica.

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.it.json GET /v1/public/accounts
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts:
    get:
      tags:
        - public-accounts
      summary: Elenca account
      description: Elenca gli account cliente visibili al principal dell'API pubblica.
      operationId: list_public_accounts_v1_public_accounts_get
      parameters:
        - in: query
          name: client_id
          required: false
          schema:
            anyOf:
              - format: uuid
                type: string
              - type: 'null'
            title: Client Id
        - in: query
          name: status
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Status
        - in: query
          name: page
          required: false
          schema:
            default: 1
            title: Page
            type: integer
        - in: query
          name: page_size
          required: false
          schema:
            default: 25
            title: Page Size
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccountListResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Errore di validazione
      security:
        - PublicBearerAuth: []
components:
  schemas:
    AccountListResponse:
      properties:
        items:
          description: Conti in questa pagina
          items:
            $ref: '#/components/schemas/AccountResponse'
          title: Elementi
          type: array
        page:
          description: Numero di pagina corrente in base uno
          title: Pagina
          type: integer
        page_size:
          description: Numero massimo di articoli per pagina
          title: Dimensione pagina
          type: integer
        total:
          description: Account corrispondenti totali
          title: Totale
          type: integer
      required:
        - items
        - page
        - page_size
        - total
      title: AccountListResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Dettaglio
          type: array
      title: HTTPValidationError
      type: object
    AccountResponse:
      properties:
        client:
          $ref: '#/components/schemas/AccountClientSummary'
          description: Cliente proprietario dell'account
        created_at:
          description: Timestamp di creazione dell'account
          format: date-time
          title: Creato il
          type: string
        id:
          description: UUID dell’account
          format: uuid
          title: ID
          type: string
        name:
          description: Nome visualizzato dell'account
          title: Nome
          type: string
        status:
          description: Stato del ciclo di vita dell'account
          title: Stato
          type: string
        updated_at:
          description: Timestamp dell'ultimo aggiornamento dell'account
          format: date-time
          title: Aggiornato il
          type: string
      required:
        - id
        - name
        - client
        - status
        - created_at
        - updated_at
      title: AccountResponse
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Posizione
          type: array
        msg:
          title: Messaggio
          type: string
        type:
          title: Tipo errore
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
    AccountClientSummary:
      description: Riepilogo strutturale del cliente incorporato nelle risposte account.
      properties:
        id:
          description: Cliente UUID
          format: uuid
          title: ID
          type: string
        name:
          description: Nome visualizzato del cliente
          title: Nome
          type: string
      required:
        - id
        - name
      title: AccountClientSummary
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````